import express, { Router } from "express";

import listRoute from "./list.route";

const router: Router = express.Router();

/**
 * Register Route
 */
const defaultRoutes = [
  {
    path: "/list",
    route: listRoute,
  },
];

defaultRoutes.forEach((route) => {
  router.use(route.path, route.route);
});

export default router;
